Package com.github.lgooddatepicker.zinternaltools

# Class CalendarSelectionEvent

java.lang.Object
com.github.lgooddatepicker.zinternaltools.CalendarSelectionEvent

public class CalendarSelectionEvent extends Object
CalendarSelectionEvent, An instance of this event class is passed to each registered CalendarListener, each time that a date is selected in a CalendarPanel.

## Constructor Summary

Constructors
Constructor
Description
`CalendarSelectionEvent(CalendarPanel source, LocalDate newDate, LocalDate oldDate)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`LocalDate`
`getNewDate()`
getNewDate, Returns the new selected date.
`LocalDate`
`getOldDate()`
getOldDate, Returns the old selected date.
`CalendarPanel`
`getSource()`
getSource, Returns the calendar panel that generated the event.
`boolean`
`isDuplicate()`
isDuplicate, Returns true if the new date is the same as the old date, or if both values are null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CalendarSelectionEvent

public CalendarSelectionEvent(CalendarPanel source, LocalDate newDate, LocalDate oldDate)
Constructor.

## Method Details

### getSource

public CalendarPanel getSource()
getSource, Returns the calendar panel that generated the event.

### getNewDate

public LocalDate getNewDate()
getNewDate, Returns the new selected date.

### getOldDate

public LocalDate getOldDate()
getOldDate, Returns the old selected date.

### isDuplicate

public boolean isDuplicate()
isDuplicate, Returns true if the new date is the same as the old date, or if both values are null. Otherwise returns false.